package com.bocloud.cmp.model;

import java.util.Date;
import java.util.List;

/**
 * aliyun 虚拟机模板 model
 *
 * @author ymh
 * @时间 2019年3月8日
 */
public class ServerTemplateModel {
    private String name;
    private Long vendorId;
    private String region;
    private String zone;
    private Date createTime;
    private Date modifyTime;
    private String templateUuid;
    private Long defaultVersionNumber;
    private Long latestVersionNumber;
    private String resourceGroupId;
    private String tags;
    private String remark;
    private String status;
    private List<VolumeModel> volumeModels;
    // 版本信息
    private ServerTemplateVersionModel serverTemplateVersionModel;
    private List<ServerTemplateVersionModel> templateVersionModels;
    // 版本号集合
    private List<Long> versions;

    public ServerTemplateModel(String templateUuid) {
        super();
        this.templateUuid = templateUuid;
    }

    public ServerTemplateModel() {
        super();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    public String getRegion() {
        return region;
    }

    public void setRegion(String region) {
        this.region = region;
    }

    public String getZone() {
        return zone;
    }

    public void setZone(String zone) {
        this.zone = zone;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getTemplateUuid() {
        return templateUuid;
    }

    public void setTemplateUuid(String templateUuid) {
        this.templateUuid = templateUuid;
    }

    public Long getDefaultVersionNumber() {
        return defaultVersionNumber;
    }

    public void setDefaultVersionNumber(Long defaultVersionNumber) {
        this.defaultVersionNumber = defaultVersionNumber;
    }

    public Long getLatestVersionNumber() {
        return latestVersionNumber;
    }

    public void setLatestVersionNumber(Long latestVersionNumber) {
        this.latestVersionNumber = latestVersionNumber;
    }

    public String getResourceGroupId() {
        return resourceGroupId;
    }

    public void setResourceGroupId(String resourceGroupId) {
        this.resourceGroupId = resourceGroupId;
    }

    public String getTags() {
        return tags;
    }

    public void setTags(String tags) {
        this.tags = tags;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public List<ServerTemplateVersionModel> getTemplateVersionModels() {
        return templateVersionModels;
    }

    public void setTemplateVersionModels(List<ServerTemplateVersionModel> templateVersionModels) {
        this.templateVersionModels = templateVersionModels;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public List<VolumeModel> getVolumeModels() {
        return volumeModels;
    }

    public void setVolumeModels(List<VolumeModel> volumeModels) {
        this.volumeModels = volumeModels;
    }

    public ServerTemplateVersionModel getServerTemplateVersionModel() {
        return serverTemplateVersionModel;
    }

    public void setServerTemplateVersionModel(ServerTemplateVersionModel serverTemplateVersionModel) {
        this.serverTemplateVersionModel = serverTemplateVersionModel;
    }

    public List<Long> getVersions() {
        return versions;
    }

    public void setVersions(List<Long> versions) {
        this.versions = versions;
    }
}
